#
# spec file for package nicolatter (Version 1.7.2pre2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake cannadev fwnn fwnncom fwnndev glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip cannadev compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fwnn fwnncom fwnndev gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         nicolatter
Copyright:    Freeware
Group:        Extensions/Japanese
Autoreqprov:  on
Version:      1.7.2pre2
Release:      113
URL:          http://www2.airnet.ne.jp/pak04955/dl-linux.htm
Source0:      http://www2.airnet.ne.jp/pak04955/archives/nicolatter-%{version}.tar.bz2
Source1:      README.canna
Patch0:       nicolatter-%{version}.patch
Patch1:       nicolatter-%{version}-configuration.patch
BuildRoot:    /var/tmp/%{name}-root
Summary:      Japanese X input method. Romaji-Kana, JIS Kana, and NICOLA keyboard.
# Summary(ja): X11 ĶѤܸϥСJISʡޤNICOLAȤ롣

%description
Q's Nicolatter for X is a Kana-Kanji keyboard input method server.
It provides a common operation method over X applications
which process Japanese text. It can be used with Gtk+, Qt, etc.
applications.
It supports the Romaji-Kana, JIS Kana and NICOLA keyboard
arrangements.

Authors:
--------
    HORIKAWA Hisashi <vzw00011@nifty.ne.jp>

SuSE series: j

%prep
%setup0
%patch0 -p 1
%patch1 -p 1
cp ${RPM_SOURCE_DIR}/README.canna .

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f ac-tools}}
env CC=gcc CFLAGS="$RPM_OPT_FLAGS" WNNENVRC=/etc/FreeWnn/ja/wnnenvrc \
./configure gtk wnn canna
make -e
make -e -C addword

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{?buildroot}/usr/bin
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%doc docs
%doc rc
/usr/bin/nicolatter
/usr/bin/keyconf
/usr/bin/nicoconf
/usr/bin/palette
/usr/bin/ximtest
/usr/bin/addword

%changelog -n nicolatter
* Sat Apr 14 2001 - schwab@suse.de
- Fix C++ violations.
* Thu Mar 08 2001 - mfabian@suse.de
- add xf86 to "# neededforbuild"
* Tue Mar 06 2001 - mfabian@suse.de
- enable Canna support again. It *does* work, only the key
  combination to start it cannot be configured in nicolatter,
  it must be configured in ~/.canna
- add a README.canna to document this.
* Sat Mar 03 2001 - mfabian@suse.de
- Canna support disabled
  (doesn't seem to work at all yet, not even when the Canna
  is patched with the  multibyte patch for Nicolatter)
* Wed Feb 28 2001 - mfabian@suse.de
- new package: nicolatter version 1.7.2pre2
